using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.Json.Serialization.Metadata;
using System.Threading.Tasks;

namespace kvalifikacije
{
    internal class Program
    {
        static void prviZad()
        {
            int x = int.Parse(Console.ReadLine());
            int y = int.Parse(Console.ReadLine());
            int x1 = x, y1 = y;
            int broj = 0, i = 1, z = 1;
            while (x > 0 && y > 0)
            {
                int cifra1 = x % 10;
                int cifra2 = y % 10;
                x /= 10;
                y /= 10;
                if (cifra1 > cifra2)
                {
                    broj += cifra1 * i;
                } else if (cifra1 < cifra2)
                {
                    broj += cifra2 * i;
                }
                else
                {
                    broj += cifra1 * i;
                    i *= 10;
                    broj += cifra2 * i;
                }
                z *= 10;
                i *= 10;
            }
            if (x > 0)
            {
                int cifra1 = x1 / z;
                broj += cifra1 * i;
            }
            else
            {
                int cifra2 = y1 / z;
                broj += cifra2 * i;
            }
            Console.WriteLine(broj);
        }
        static void sort(int[] a, int n)
        {
            int i, j;
            for (i = 0; i < n - 1; i++)
                for (j = i + 1; j < n; j++)
                    if (a[i] > a[j])
                        razmeni(ref a[i], ref a[j]);
        }
        static void razmeni(ref int x, ref int y)
        {
            int p = x;
            x = y;
            y = p;
        }
        static void drugiZad()
        {
            string prviRed = Console.ReadLine();
            int n = int.Parse(prviRed.Split(' ')[0]);
            int q = int.Parse(prviRed.Split(' ')[1]);
            string drugiRed = Console.ReadLine();
            int[] a = new int[n];
            for(int i = 0;i < n; i++)
            {
                a[i] = int.Parse(drugiRed.Split(' ')[i]);
            }
            sort(a, n);
            string treciRed = Console.ReadLine();
            for (int i = 0; i < q; i++)
            {
                int novaMedijana = 0;
                bool flag = true;
                int m = int.Parse(treciRed.Split(' ')[i]);
                for(int j = 0; j < n; j++)
                {
                    if (a[j] == m)
                    {
                        novaMedijana = j+1;
                        flag = false;
                        break;
                    }
                }
                if (flag)
                {
                    int n1 = n;
                    n1++;
                    int[] a1 = new int[n1];
                    a1[n1 - 1] = m;
                    for(int j = 0; j < n; j++)
                    {
                        a1[j] = a[j];
                    }
                    sort(a1, n1);
                    for (int j = 0; j < n1; j++)
                    {
                        if (a1[j] == m)
                        {
                            novaMedijana = j + 1;
                            break;
                        }
                    }
                }
                if(novaMedijana < n / 2 + 1)
                {
                    if ((2 * novaMedijana - 1) % 2 == 0 || 2 * novaMedijana - 1 == n)
                    {
                        Console.WriteLine(Math.Abs((novaMedijana - 1 - (n - novaMedijana))) + 1);
                    }
                    else
                    {
                        Console.WriteLine(Math.Abs((novaMedijana - 1 - (n - novaMedijana))));
                    }
                }
                else
                {
                    if ((2*novaMedijana-1) % 2 == 0 || 2 * novaMedijana - 1 == n)
                    {
                        Console.WriteLine(Math.Abs((novaMedijana - 1 - (n - novaMedijana))));
                    }
                    else
                    {
                        Console.WriteLine(Math.Abs((novaMedijana - 1 - (n - novaMedijana)))-1);
                    }
                }
            }

        }
        static void Main(string[] args)
        {
            drugiZad();
        }
    }
}